質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.75%

  • Python

    6827questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Python 3.x

    5292questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

同じディレクトリにある.pyがインポートされない

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 167

ryota_adr

score 9

 前提・実現したいこと

pypubというライブラリでhtmlからepubファイルを作ろうと思っています。
pypubをインポートしたいのですが以下のようなエラーが出ます。
init.pyと同じディレクトリにepub.pyがあるのですが、インポートされません。
どうすればインポートできますか?

 発生している問題・エラーメッセージ

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\Users\username\Anaconda3\envs\py36\lib\site-packages\pypub\__init__.py", line 2, in <module>
    from epub import Epub
ModuleNotFoundError: No module named 'epub'

 該当のソースコード

ソースコード

 試したこと

init.pyの2行目を

from .epub import Epub


に変えたら、今度は

File "C:\Users\username\Anaconda3\envs\py36\lib\site-packages\pypub\epub.py", line 23, in <module>
    import chapter
ModuleNotFoundError: No module named 'chapter'


というエラーが出ました。
chaper.pyも同じディレクトリにありますが、なぜかインポートされません。

 補足情報(FW/ツールのバージョンなど)

ここにより詳細な情報を記載してください。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • quiqui

    2018/05/21 14:34

    python2にしか対応していないライブラリをpython3に対応させようと、全体を手直ししている最中なんでしょうか? だとしたらpython2とpython3の仕様の違いを勉強してからの方がいいかと思います。

    キャンセル

  • キャンセル

回答 1

checkベストアンサー

0

Installation

Pypub is currently only compatible with Python 2.

もともとPython3.xには対応していないようです。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/05/21 15:15

    そうなんですね。python2で実装しようと思います。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.75%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Python

    6827questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Python 3.x

    5292questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。